<?session_start();?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head><meta http-equiv='content-type' content='application/xhtml+xml; charset=windows-1251'/>
<link rel="shortcut icon" href="ico1.ico" type="image/x-icon" />
<title>Камень познания</title>
<link rel="stylesheet" href="styleN.css" type="text/css" />
</head>
<body>
<div class='main' style='word-wrap:break-word;padding-bottom:10px'>
<div class="center"><div class='top'>
<b>Камень познания</b>



<b>
</div>
<div class="line"></div>
</div>
<?
include("db.php");
$db->openDB();
$prIT = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.giper\" AND ID_USERS=\"$_SESSION[s]\"");
$gip2 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x2=\"1\"");
$gip4 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x4=\"1\"");
$gip8 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x8=\"1\"");
$gip12 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x12=\"1\"");
$prIT2 = mysql_fetch_assoc($prIT);
$ac = $_GET['ac'];
echo "Камень познания - это древний камень который позволял предкам обретать знания в разы быстрее.<br/>
С помощью данного камня вы сможете увеличить получаемый опыт в бою в несколько раз<br/><br/>
<img src=\"img/br.png\"> x 2 опыт увеличивается в два раза (1 час)<br/>
<a href=\"?ac=2\">[активировать]</a><br/>
<img src=\"img/br.png\"> x 4 опыт увеличивается в четыре раза (1 час)<br/>
<a href=\"?ac=4\">[активировать]</a><br/>
<img src=\"img/br.png\"> x 8 опыт увеличивается в восемь раз (1 час)<br/>
<a href=\"?ac=8\">[активировать]</a><br/>
<img src=\"img/br.png\"> x 12 опыт увеличивается в двенадцать раз (1 час)<br/>
<a href=\"?ac=12\">[активировать]</a>
<br/>Данный камень можно использовать раз в сутки
 ";
if(isset($ac)){echo"<div class=\"main_title\"><center>
";
if($prIT2[IL_COUNT]<$ac){echo"у вас недостаточно камней познания для x$ac";}
if($prIT2[IL_COUNT]>$ac){
if($ac == 2 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 2 AND mysql_num_rows($gip2)>0){echo"вы успешно активировали камень познания x2";
//обновляем кол-во гиперов
//продлеваем гипер на х2
//добавляем гипер на х2
}
if($ac == 2 AND mysql_num_rows($gip4)>0 OR $ac == 2 AND mysql_num_rows($gip8)>0 OR $ac == 2 AND mysql_num_rows($gip12)>0){echo"вы пытаетесь активировать камень познания x2,но у вас уже активирован";
if(mysql_num_rows($gip4)>0){echo" x4";}
if(mysql_num_rows($gip8)>0){echo" x8";}
if(mysql_num_rows($gip12)>0){echo" x12";}
}
if($ac == 4 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 4 AND mysql_num_rows($gip4)>0){echo"вы успешно активировали камень познания x4";}
if($ac == 4 AND mysql_num_rows($gip2)>0 OR $ac == 4 AND mysql_num_rows($gip8)>0 OR $ac == 4 AND mysql_num_rows($gip12)>0){echo"вы пытаетесь активировать камень познания x4,но у вас уже активирован
";
if(mysql_num_rows($gip2)>0){echo" x2";}
if(mysql_num_rows($gip8)>0){echo" x8";}
if(mysql_num_rows($gip12)>0){echo" x12";}
}
if($ac == 8 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 8 AND mysql_num_rows($gip8)>0){echo"вы успешно активировали камень познания x8";}
if($ac == 8 AND mysql_num_rows($gip2)>0 OR $ac == 8 AND mysql_num_rows($gip4)>0 OR $ac == 8 AND mysql_num_rows($gip12)>0){echo"вы пытаетесь активировать камень познания x8,но у вас уже активирован
";
if(mysql_num_rows($gip2)>0){echo" x2";}
if(mysql_num_rows($gip4)>0){echo" x4";}
if(mysql_num_rows($gip12)>0){echo" x12";}
}
if($ac == 12 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 12 AND mysql_num_rows($gip12)>0){echo"вы успешно активировали камень познания x12";}
if($ac == 12 AND mysql_num_rows($gip2)>0 OR $ac == 12 AND mysql_num_rows($gip4)>0 OR $ac == 12 AND mysql_num_rows($gip8)>0){echo"вы пытаетесь активировать камень познания x12,но у вас уже активирован
";
if(mysql_num_rows($gip2)>0){echo" x2";}
if(mysql_num_rows($gip4)>0){echo" x4";}
if(mysql_num_rows($gip8)>0){echo" x8";}
}
}
if($prIT2[IL_COUNT]==$ac){
if($ac == 2 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 2 AND mysql_num_rows($gip2)>0){echo"вы успешно активировали камень познания x2";}
if($ac == 2 AND mysql_num_rows($gip4)>0 OR $ac == 2 AND mysql_num_rows($gip8)>0 OR $ac == 2 AND mysql_num_rows($gip12)>0){echo"вы пытаетесь активировать камень познания x2,но у вас уже активирован";
if(mysql_num_rows($gip4)>0){echo" x4";}
if(mysql_num_rows($gip8)>0){echo" x8";}
if(mysql_num_rows($gip12)>0){echo" x12";}
}
if($ac == 4 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 4 AND mysql_num_rows($gip4)>0){echo"вы успешно активировали камень познания x4";}
if($ac == 4 AND mysql_num_rows($gip2)>0 OR $ac == 4 AND mysql_num_rows($gip8)>0 OR $ac == 4 AND mysql_num_rows($gip12)>0){echo"вы пытаетесь активировать камень познания x4,но у вас уже активирован
";
if(mysql_num_rows($gip2)>0){echo" x2";}
if(mysql_num_rows($gip8)>0){echo" x8";}
if(mysql_num_rows($gip12)>0){echo" x12";}
}
if($ac == 8 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 8 AND mysql_num_rows($gip8)>0){echo"вы успешно активировали камень познания x8";}
if($ac == 8 AND mysql_num_rows($gip2)>0 OR $ac == 8 AND mysql_num_rows($gip4)>0 OR $ac == 8 AND mysql_num_rows($gip12)>0){echo"вы пытаетесь активировать камень познания x8,но у вас уже активирован
";
if(mysql_num_rows($gip2)>0){echo" x2";}
if(mysql_num_rows($gip4)>0){echo" x4";}
if(mysql_num_rows($gip12)>0){echo" x12";}
}
if($ac == 12 AND mysql_num_rows($gip2)<1 AND mysql_num_rows($gip4)<1 AND mysql_num_rows($gip8)<1 AND mysql_num_rows($gip12)<1 OR $ac == 12 AND mysql_num_rows($gip12)>0){echo"вы успешно активировали камень познания x12";}
if($ac == 12 AND mysql_num_rows($gip2)>0 OR $ac == 12 AND mysql_num_rows($gip4)>0 OR $ac == 12 AND mysql_num_rows($gip8)>0){echo"вы пытаетесь активировать камень познания x12,но у вас уже активирован
";
if(mysql_num_rows($gip2)>0){echo" x2";}
if(mysql_num_rows($gip4)>0){echo" x4";}
if(mysql_num_rows($gip8)>0){echo" x8";}
}
}
echo"</center></div>";}
?>